body {
    background-image: url('../assets/login-bg.png');
    background-size: cover;
    min-height: 100vh;
    margin: 0;
    font-family: 'lato', sans-serif;
}

*{
    box-sizing: border-box;
    /* cores de fundo */
    --bg-grey: #141414;
    --bg-grey-light: #313131;
    --bg-white: aliceblue;
    --bg-blue-dark: #5505d6;
}

.tela-cad {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
    padding: 2rem;
    height: 100vh;
    flex-direction: column;
}

.cadastro {
    width: 100%;
    max-width: 46rem;
    height: auto;
    display: flex;
    background-color: rgba(0, 0, 0, 0.7);
    border-radius: 8px;
    overflow: hidden;
}

.caixa-preta {
    width: 100%;
    max-width: 17rem;
    height: auto;
    background-color: rgba(0, 0, 0, 0.7);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 1rem;
}

.caixa-preta h1 {
    font-size: 1.5rem;
    color: aliceblue;
    text-align: center;
    padding: 0.5rem;
    padding-top: 1rem;
    font-family: 'lato', sans-serif;
}

.caixa-preta p {
    font-size: 0.9rem;
    color: rgb(212, 212, 212);
    text-align: center;
    padding: 1rem;
    font-family: 'lato', sans-serif;
}

.caixa-preta button {
    background-color: #5505d6;
    color: aliceblue;
    font-size: 0.9rem;
    font-weight: bold;
    padding: 0.6rem 1rem;
    font-family: 'lato', sans-serif;
    border-radius: 5px;
    border: none;
    transition: background-color 0.2s, color 0.2s;
}

.caixa-preta button:hover {
    background-color: aliceblue;
    color: #5505d6;
}

.caixa-cinza {
    width: 100%;
    max-width: 30rem;
    height: auto;
    background-color: rgba(31, 31, 31, 0.7);
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 1rem;
}

.caixa-cinza h1 {
    font-size: 1.5rem;
    color: aliceblue;
    padding: 1rem;
    text-align: center;
}

.input, .input2 {
    background-color: #909090;
    border-radius: 0.5rem;
    width: 100%;
    max-width: 22rem;
    height: 2.2rem;
    margin-bottom: 1rem;
}

.txtBusca, .txtBusca2 {
    background-color: transparent;
    padding-left: 0.6rem;
    font-size: 1rem;
    border: none;
    height: 100%;
    width: 100%;
}

.button-criar {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-top: 1rem;
}

.button-criar button {
    background-color: #5505d6;
    color: aliceblue;
    font-size: 0.9rem;
    font-weight: bold;
    padding: 0.6rem 1rem;
    font-family: 'lato', sans-serif;
    border-radius: 5px;
    border: none;
    margin-bottom: 0.5rem;
    transition: background-color 0.2s, color 0.2s;
    width: 100%; /* Botão ocupa toda a largura disponível */
}

.button-criar button:hover {
    background-color: aliceblue;
    color: #5505d6;
}

.button-criar a {
    color: #5e5e5e;
    text-decoration: none;
    font-size: 0.9rem;
    transition: color 0.2s;
}

.button-criar a:hover {
    color: #5505d6;
}

@assets (max-width: 768px) {
    .tela-cad {
        padding: 2rem; 
    }

    .caixa-preta {
        max-width: 100%;
        padding: 1rem;
    }

    .caixa-cinza {
        max-width: 100%;
        padding: 1rem;
    }

    .caixa-preta button, .button-criar button {
        width: 100%;
    }

    .input, .input2 {
        width: 100%;
    }

    .caixa-preta h1, .caixa-cinza h1 {
        font-size: 1.4rem;
    }

    .caixa-preta p {
        font-size: 0.9rem;
    }
}

@media screen and (max-width: 65rem) 
{
    #headerTitle
    {
        display: none;
    }
    #logo
    {
        width: 1.8rem;
    }
    .headerText
    {
        padding-left: 0.4rem;
        padding-right: 0.4rem;
    }
}
